solver.c File Reference

Implementation file for the solver module. More...

`#include "config.h"`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for solver.c:

Go to the source code of this file.

## Macros

#define | X(name)

## Functions

void | CONCAT (CONCAT(solver_, init_advanced_complex)
void | CONCAT (CONCAT(solver_, init_complex)
void | CONCAT (CONCAT(solver_, before_loop_complex)
static void | solver_loop_one_step_landweber_complex (CONCAT(solver_, plan_complex) *ths)
| void solver_loop_one_step_landweber
static void | solver_loop_one_step_steepest_descent_complex (CONCAT(solver_, plan_complex) *ths)
| void solver_loop_one_step_steepest_descent
static void | solver_loop_one_step_cgnr_complex (CONCAT(solver_, plan_complex) *ths)
| void solver_loop_one_step_cgnr
static void | solver_loop_one_step_cgne_complex (CONCAT(solver_, plan_complex) *ths)
| void solver_loop_one_step_cgne
void | CONCAT (CONCAT(solver_, loop_one_step_complex)
| void solver_loop_one_step
void | CONCAT (CONCAT(solver_, finalize_complex)
| void solver_finalize
void | CONCAT (CONCAT(solver_, init_advanced_double)
| void solver_finalize
void | CONCAT (CONCAT(solver_, init_double)
void | CONCAT (CONCAT(solver_, before_loop_double)
static void | solver_loop_one_step_landweber_double (CONCAT(solver_, plan_double) *ths)
| void solver_loop_one_step_landweber
static void | solver_loop_one_step_steepest_descent_double (CONCAT(solver_, plan_double) *ths)
| void solver_loop_one_step_steepest_descent
static void | solver_loop_one_step_cgnr_double (CONCAT(solver_, plan_double) *ths)
| void solver_loop_one_step_cgnr
static void | solver_loop_one_step_cgne_double (CONCAT(solver_, plan_double) *ths)
| void solver_loop_one_step_cgne
void | CONCAT (CONCAT(solver_, loop_one_step_double)
| void solver_loop_one_step
void | CONCAT (CONCAT(solver_, finalize_double)
| void solver_finalize

## Detailed Description

Implementation file for the solver module.

Author
  Stefan Kunis

Definition in file solver.c.

## Macro Definition Documentation

## X

#define X | ( |  | name | ) |

Value:
CONCAT(solver_,name)

Definition at line 37 of file solver.c.

## Function Documentation

## CONCAT() [1/10]

void CONCAT | ( | CONCAT( | solver_,
|  | init_advanced_complex | )

Definition at line 40 of file solver.c.

## CONCAT() [2/10]

void CONCAT | ( | CONCAT( | solver_,
|  | init_complex | )

Definition at line 76 of file solver.c.

## CONCAT() [3/10]

void CONCAT | ( | CONCAT( | solver_,
|  | before_loop_complex | )

Definition at line 81 of file solver.c.

## solver_loop_one_step_landweber_complex()

void solver_loop_one_step_landweber_complex | ( | CONCAT(solver_, plan_complex) * | ths | ) |

static

void solver_loop_one_step_landweber

Definition at line 128 of file solver.c.

References CSWAP, NORMS_FOR_LANDWEBER, PRECOMPUTE_DAMP, and PRECOMPUTE_WEIGHT.

Referenced by CONCAT().

## solver_loop_one_step_steepest_descent_complex()

void solver_loop_one_step_steepest_descent_complex | ( | CONCAT(solver_, plan_complex) * | ths | ) |

static

void solver_loop_one_step_steepest_descent

Definition at line 177 of file solver.c.

References CSWAP, PRECOMPUTE_DAMP, and PRECOMPUTE_WEIGHT.

Referenced by CONCAT().

## solver_loop_one_step_cgnr_complex()

void solver_loop_one_step_cgnr_complex | ( | CONCAT(solver_, plan_complex) * | ths | ) |

static

void solver_loop_one_step_cgnr

Definition at line 232 of file solver.c.

References CSWAP, PRECOMPUTE_DAMP, and PRECOMPUTE_WEIGHT.

Referenced by CONCAT().

## solver_loop_one_step_cgne_complex()

void solver_loop_one_step_cgne_complex | ( | CONCAT(solver_, plan_complex) * | ths | ) |

static

void solver_loop_one_step_cgne

Definition at line 295 of file solver.c.

References PRECOMPUTE_DAMP, and PRECOMPUTE_WEIGHT.

Referenced by CONCAT().

## CONCAT() [4/10]

void CONCAT | ( | CONCAT( | solver_,
|  | loop_one_step_complex | )

void solver_loop_one_step

Definition at line 347 of file solver.c.

References CGNE, CGNR, LANDWEBER, solver_loop_one_step_cgne_complex(), solver_loop_one_step_cgnr_complex(), solver_loop_one_step_landweber_complex(), solver_loop_one_step_steepest_descent_complex(), and STEEPEST_DESCENT.

## CONCAT() [5/10]

void CONCAT | ( | CONCAT( | solver_,
|  | finalize_complex | )

void solver_finalize

Definition at line 363 of file solver.c.

References CGNR, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and STEEPEST_DESCENT.

## CONCAT() [6/10]

void CONCAT | ( | CONCAT( | solver_,
|  | init_advanced_double | )

void solver_finalize

Definition at line 392 of file solver.c.

References CGNE, CGNR, LANDWEBER, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and STEEPEST_DESCENT.

## CONCAT() [7/10]

void CONCAT | ( | CONCAT( | solver_,
|  | init_double | )

Definition at line 427 of file solver.c.

## CONCAT() [8/10]

void CONCAT | ( | CONCAT( | solver_,
|  | before_loop_double | )

Definition at line 432 of file solver.c.

## solver_loop_one_step_landweber_double()

void solver_loop_one_step_landweber_double | ( | CONCAT(solver_, plan_double) * | ths | ) |

static

void solver_loop_one_step_landweber

Definition at line 479 of file solver.c.

References NORMS_FOR_LANDWEBER, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and RSWAP.

Referenced by CONCAT().

## solver_loop_one_step_steepest_descent_double()

void solver_loop_one_step_steepest_descent_double | ( | CONCAT(solver_, plan_double) * | ths | ) |

static

void solver_loop_one_step_steepest_descent

Definition at line 528 of file solver.c.

References PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and RSWAP.

Referenced by CONCAT().

## solver_loop_one_step_cgnr_double()

void solver_loop_one_step_cgnr_double | ( | CONCAT(solver_, plan_double) * | ths | ) |

static

void solver_loop_one_step_cgnr

Definition at line 583 of file solver.c.

References PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and RSWAP.

Referenced by CONCAT().

## solver_loop_one_step_cgne_double()

void solver_loop_one_step_cgne_double | ( | CONCAT(solver_, plan_double) * | ths | ) |

static

void solver_loop_one_step_cgne

Definition at line 646 of file solver.c.

References PRECOMPUTE_DAMP, and PRECOMPUTE_WEIGHT.

Referenced by CONCAT().

## CONCAT() [9/10]

void CONCAT | ( | CONCAT( | solver_,
|  | loop_one_step_double | )

void solver_loop_one_step

Definition at line 698 of file solver.c.

References CGNE, CGNR, LANDWEBER, solver_loop_one_step_cgne_double(), solver_loop_one_step_cgnr_double(), solver_loop_one_step_landweber_double(), solver_loop_one_step_steepest_descent_double(), and STEEPEST_DESCENT.

## CONCAT() [10/10]

void CONCAT | ( | CONCAT( | solver_,
|  | finalize_double | )

void solver_finalize

Definition at line 714 of file solver.c.

References CGNR, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, and STEEPEST_DESCENT.